## TpDebugMessage

TpDebugMessage — a debug message

## Functions

void | tp_debug_client_get_messages_async ()
GPtrArray * | tp_debug_client_get_messages_finish ()
const gchar * | tp_debug_message_get_domain ()
const gchar * | tp_debug_message_get_category ()
GLogLevelFlags | tp_debug_message_get_level ()
const gchar * | tp_debug_message_get_message ()
GDateTime * | tp_debug_message_get_time ()

## Properties

gchar * | category | Read
gchar * | domain | Read
guint | level | Read
gchar * | message | Read
GDateTime * | time | Read

## Types and Values

struct | TpDebugMessage
struct | TpDebugMessageClass

## Object Hierarchy

        GObject
        ╰── TpDebugMessage

## Includes

    #include <telepathy-glib/telepathy-glib.h>

## Description

TpDebugMessage is a small object used to represent a debug message receive from a Telepathy component using TpDebugClient.

See also: TpDebugClient

## Functions

### tp_debug_client_get_messages_async ()

    void
    tp_debug_client_get_messages_async (TpDebugClient *self,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

Retrieve buffered messages from `self` . Once `callback` is called, use `tp_debug_client_get_messages_finish()` to retrieve the TpDebugMessage objects.

#### Parameters

self | a TpDebugClient |
callback | callback to call when the messages have been retrieved |
user_data | data to pass to `callback` |

Since: 0.19.0

### tp_debug_client_get_messages_finish ()

    GPtrArray *
    tp_debug_client_get_messages_finish (TpDebugClient *self,
                                         GAsyncResult *result,
                                         GError **error);

Finishes `tp_debug_client_set_enabled_async()`.

#### Parameters

self | a TpDebugClient |
result | a GAsyncResult |
error | a GError to fill |

#### Returns

a GPtrArray of TpDebugMessage, free with `g_ptr_array_unref()`.

[transfer container][type GLib.PtrArray][element-type TelepathyGLib.DebugMessage]

Since: 0.19.0

### tp_debug_message_get_domain ()

    const gchar *
    tp_debug_message_get_domain (TpDebugMessage *self);

Return the “domain” property

#### Parameters

self | a TpDebugMessage |

#### Returns

the value of “domain” property

Since: 0.19.0

### tp_debug_message_get_category ()

    const gchar *
    tp_debug_message_get_category (TpDebugMessage *self);

Return the “category” property

#### Parameters

self | a TpDebugMessage |

#### Returns

the value of “category” property

Since: 0.19.0

### tp_debug_message_get_level ()

    GLogLevelFlags
    tp_debug_message_get_level (TpDebugMessage *self);

Return the “level” property

#### Parameters

self | a TpDebugMessage |

#### Returns

the value of “level” property

Since: 0.19.0

### tp_debug_message_get_message ()

    const gchar *
    tp_debug_message_get_message (TpDebugMessage *self);

Return the “message” property

#### Parameters

self | a TpDebugMessage |

#### Returns

the value of “message” property

Since: 0.19.0

### tp_debug_message_get_time ()

    GDateTime *
    tp_debug_message_get_time (TpDebugMessage *self);

Return the “time” property

#### Parameters

self | a TpDebugMessage |

#### Returns

the value of “time” property.

[transfer none]

Since: 0.19.0

## Types and Values

### struct TpDebugMessage

    struct TpDebugMessage;

Data structure representing a TpDebugMessage.

Since: 0.19.0

### struct TpDebugMessageClass

    struct TpDebugMessageClass {
    };

The class of a TpDebugMessage.

Since: 0.19.0

## Property Details

### The `“category”` property

      “category”                 gchar *

Category of the debug message, or `NULL` if none was specified.

Owner: TpDebugMessage

Flags: Read

Default value: NULL

Since: 0.19.0

### The `“domain”` property

      “domain”                   gchar *

Domain of the debug message.

Owner: TpDebugMessage

Flags: Read

Default value: NULL

Since: 0.19.0

### The `“level”` property

      “level”                    guint

A GLogLevelFlags representing the level of the debug message.

Owner: TpDebugMessage

Flags: Read

Allowed values: <= 4294967292

Default value: 0

Since: 0.19.0

### The `“message”` property

      “message”                  gchar *

Text of the debug message, stripped from its trailing whitespaces.

Owner: TpDebugMessage

Flags: Read

Default value: NULL

Since: 0.19.0

### The `“time”` property

      “time”                     GDateTime *

Timestamp of the debug message.

Owner: TpDebugMessage

Flags: Read

Since: 0.19.0